Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 733684 (CVE-2020-15917) - <mail-client/claws-mail-3.17.6: Improper STARTTLS handling (CVE-2020-15917)
Summary: <mail-client/claws-mail-3.17.6: Improper STARTTLS handling (CVE-2020-15917)
Status: RESOLVED FIXED
Alias: CVE-2020-15917
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://git.claws-mail.org/?p=claws.g...
Whiteboard: B3 [glsa+ cleanup cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-23 19:47 UTC by Sam James
Modified: 2020-07-28 19:42 UTC (History)
1 user (show)

See Also:
Package list:
mail-client/claws-mail-3.17.6
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James gentoo-dev Security 2020-07-23 19:47:18 UTC
Description:
"common/session.c in Claws Mail before 3.17.6 has a protocol violation because suffix data after STARTTLS is mishandled."

The main issue here (similar to other recent problems in mail clients) is that an attacker could inject commands even after the client believes TLS is being used.
Comment 1 Sam James gentoo-dev Security 2020-07-23 19:49:02 UTC
Ready to stable?
Comment 2 Agostino Sarubbo gentoo-dev 2020-07-24 15:10:24 UTC
amd64 stable
Comment 3 Sam James gentoo-dev Security 2020-07-27 14:22:19 UTC
x86 stable. Please cleanup.
Comment 4 Sam James gentoo-dev Security 2020-07-27 16:52:04 UTC
GLSA vote: yes
Comment 5 Larry the Git Cow gentoo-dev 2020-07-27 17:13:23 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c80d0119b53394265b092f29823dd63cc9dd440

commit 7c80d0119b53394265b092f29823dd63cc9dd440
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2020-07-27 17:13:15 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2020-07-27 17:13:15 +0000

    mail-client/claws-mail: Security cleanup
    
    Bug: https://bugs.gentoo.org/733684
    Package-Manager: Portage-3.0.1, Repoman-2.3.23
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 mail-client/claws-mail/Manifest                    |   1 -
 mail-client/claws-mail/claws-mail-3.17.5-r1.ebuild | 224 ---------------------
 2 files changed, 225 deletions(-)
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2020-07-28 19:42:52 UTC
This issue was resolved and addressed in
 GLSA 202007-56 at https://security.gentoo.org/glsa/202007-56
by GLSA coordinator Sam James (sam_c).